Get the list of payment methods available for your purchase.
Send this request providing, at the very least, the brand_id and currency query parameters having the same values you'd use to create your Purchase. Be sure to use the same API key you'll create your Purchase with; it will define the test_mode setting used in the lookup.
In the response body you'll receive an object with available_payment_methods property containing the list of payment method names available to use with your Purchase (e.g. those codes can be used in payment_method_whitelist field or with ?preferred={payment_method} option of checkout_url).
Please note that all lookup arguments must be provided via query parameters after the endpoint, e.g. the minimal call would be similar to: GET /api/v1/payment_methods/?brand_id=75a76529-91c7-4d98-90a9-8a641d70ee52¤cy=EUR
ApiKeyAuthorizationBearer <token>Your API key from the Developers section of your account, sent as a bearer token.
brand_id*stringWhich brand would you like to lookup the available payment methods for. Use the same value (UUID) you'd set the Purchase.brand_id to.
currency*stringCurrency you'd use in your Purchase in ISO 4217 format, e.g. EUR.
country?stringCountry code in the ISO 3166-1 alpha-2 format (e.g. GB). Optional.
recurring?booleanIf provided in the format of recurring=true, will filter out the methods that don't support recurring charges (see POST /purchases/{id}/charge/).
skip_capture?booleanIf provided in the format of skip_capture=true, will filter out the methods that don't support skip_capture functionality (see the description for Purchase.skip_capture field).
language?stringLanguage code in the ISO 639-1 format (e.g. 'en'). Optional.
OK
application/json- response
available_payment_methods?array<>by_country?Payment method names (as returned by available_payment_methods) grouped by country codes they are available in. any key returns names of payment method available in all countries.
country_names?Human-readable names corresponding to country codes as returned by by_country property. any code is also decoded to Other.
names?Human-readable names of payment methods as returned by available_payment_methods property.
logos?Mapping of payment method names to respective logo file paths (relative to the hostname of API host). Some methods can be displayed as an array of logos.
card_methods?array<>curl -X GET 'https://gate.reviopay.com/api/v1/payment_methods/?brand_id=string¤cy=string'{ "available_payment_methods": [ "visa", "mastercard", "some_method" ], "by_country": { "any": [ "card" ], "GB": [ "some_method" ] }, "country_names": { "any": "Other", "GB": "United Kingdom" }, "names": { "visa": "Visa", "mastercard": "Mastercard", "some_method": "Some method" }, "logos": { "some_method": [ "/static/images/icon-visa.svg", "/static/images/icon-mastercard.svg", "/static/images/icon-maestro.svg" ], "visa": "/static/images/icon-visa.svg", "mastercard": "/static/images/icon-mastercard.svg" }, "card_methods": [ "american_express", "visa" ]}